A. Flipping Game

time limit per test: 1 second

memory limit per test:  256 megabytes

input: standard input

output: standard output

Iahub got bored, so he invented a game to be played on paper.

He writes n integers a1, a2, ..., an. Each of those integers can be either 0 or 1. He's allowed to do exactly one move: he chooses two indices i and j (1 ≤ i ≤ j ≤ n) and flips all values ak for which their positions are in range [i, j] (that is i ≤ k ≤ j). Flip the value of x means to apply operation x = 1 - x.

The goal of the game is that after exactly one move to obtain the maximum number of ones. Write a program to solve the little game of Iahub.

Input

The first line of the input contains an integer n (1 ≤ n ≤ 100). In the second line of the input there are n integers: a1, a2, ..., an. It is guaranteed that each of those n values is either 0 or 1.

Output

Print an integer — the maximal number of 1s that can be obtained after exactly one move.

Examples

input

5
1 0 0 1 0

output

4

input

4
1 0 0 1

output

4

Note

In the first case, flip the segment from 2 to 5 (i = 2, j = 5). That flip changes the sequence, it becomes: [1 1 1 0 1]. So, it contains four ones. There is no way to make the whole sequence equal to [1 1 1 1 1].

In the second case, flipping only the second and the third element (i = 2, j = 3) will turn all numbers into 1.

题解:

这道1200分的题目还是很有质量的,首先先来考虑特殊情况,即全0或者全1,由于本题必须要翻转一次,所以如果是全1的话答案就是n-1,全0的答案是n。一般情况,即0、1混合时,我们要翻转尽可能多的0,所以我采用了双循环去解决,即对于每一项来说,都去判断从当前这个点到下一个点之间翻转出1的最大个数,即c0-c1的最大值,最后再加上原有的1的个数就是最后的答案。

AC代码:

#include <bits/stdc++.h>
#define ll long long
using namespace std;const int N=100+5;
int a[N];
void solve(){int n,cur=0;cin>>n;for (int i=0;i<n;i++){cin>>a[i];if (a[i]==1){cur++;}}if (cur==n){cout<<n-1<<endl;return;}else if (cur==0){cout<<n<<endl;return;}int ans=0;for (int i=0;i<n;i++){int c0=0,c1=0;for (int j=i;j<n;j++){if (a[j]==0){c0++;}else if (a[j]==1){c1++;}if (c0-c1>ans){ans=c0-c1;}}}cout<<ans+cur<<endl;
}
int main()
{int _;//cin>>_;_=1; while (_--){solve();}return 0;
}

B. Worms

time limit per test: 1 second

memory limit per test: 256 megabytes

input: standard input

output: standard output

It is lunch time for Mole. His friend, Marmot, prepared him a nice game for lunch.

Marmot brought Mole n ordered piles of worms such that i-th pile contains ai worms. He labeled all these worms with consecutive integers: worms in first pile are labeled with numbers 1 to , worms in second pile are labeled with numbers  to  and so on. See the example for a better understanding.

Mole can't eat all the worms (Marmot brought a lot) and, as we all know, Mole is blind, so Marmot tells him the labels of the best juicy worms. Marmot will only give Mole a worm if Mole says correctly in which pile this worm is contained.

Poor Mole asks for your help. For all juicy worms said by Marmot, tell Mole the correct answers.

Input

The first line contains a single integer n (1 ≤ n ≤ ), the number of piles.

The second line contains n integers  (1 ≤ ≤ ), where  is the number of worms in the i-th pile.

The third line contains single integer m (1 ≤ m ≤ ), the number of juicy worms said by Marmot.

The fourth line contains m integers  (1 ≤ ≤ ), the labels of the juicy worms.

Output

Print m lines to the standard output. The i-th line should contain an integer, representing the number of the pile where the worm labeled with the number  is.

Examples

input

5
2 7 3 4 9
3
1 25 11

output

1
5
3

Note

For the sample input:

  • The worms with labels from [1, 2] are in the first pile.
  • The worms with labels from [3, 9] are in the second pile.
  • The worms with labels from [10, 12] are in the third pile.
  • The worms with labels from [13, 16] are in the fourth pile.
  • The worms with labels from [17, 25] are in the fifth pile.

题解:

和上一个题目相比,这个题就非常简单了,题目怎么说就怎么做好了,将它所指定的区间设置为对应的编号,最后直接根据数值直接输出就可以,注意数组的范围。

AC代码:

#include <bits/stdc++.h>
#define ll long long
using namespace std;const int N=1e6+5;
int a[N],b[N];
void solve(){int n;cin>>n;int cur=0,sum=0;for (int i=1;i<=n;i++){cin>>a[i];sum+=a[i];for (int j=cur;j<=sum;j++){b[j]=i;}cur=sum+1;}int q;cin>>q;while (q--){int x;cin>>x;cout<<b[x]<<endl;}
}
int main()
{int _;//cin>>_;_=1; while (_--){solve();}return 0;
}

B. Books

time limit per test: 2 seconds

memory limit per test: 256 megabytes

input: standard input

output: standard output

When Valera has got some free time, he goes to the library to read some books. Today he's got t free minutes to read. That's why Valera took n books in the library and for each book he estimated the time he is going to need to read it. Let's number the books by integers from 1 to n. Valera needs  minutes to read the i-th book.

Valera decided to choose an arbitrary book with number i and read the books one by one, starting from this book. In other words, he will first read book number i, then book number i + 1, then book number i + 2 and so on. He continues the process until he either runs out of the free time or finishes reading the n-th book. Valera reads each book up to the end, that is, he doesn't start reading the book if he doesn't have enough free time to finish reading it.

Print the maximum number of books Valera can read.

Input

The first line contains two integers n and t (1 ≤ n ≤ ; 1 ≤ t ≤ ) — the number of books and the number of free minutes Valera's got. The second line contains a sequence of n integers  (1 ≤ ai ≤ ), where number shows the number of minutes that the boy needs to read the i-th book.

Output

Print a single integer — the maximum number of books Valera can read.

Examples

input

4 5
3 1 2 1

output

3

input

3 3
2 2 3

output

1

题解:

又是一个1400分的题目,这回需要在二分模板上稍微的改一下。题目意思是说从第i项开始顺序读(开始的时候不小心理解错题意了),最后取能读的数目的最大值,所以我们要对每一项都要遍历,即从第i项开始到第n项,进行一个二分查找,从中取出最大的那个,即max(ans,l-i)。

AC代码:

#include <bits/stdc++.h>
#define BUFF ios::sync_with_stdio(false),cin.tie(0),cout.tie(0)
#define ll long long
using namespace std;const int N=1e5+5;
int a[N];
ll sum[N];
void solve(){int n,m;cin>>n>>m;for (int i=1;i<=n;i++){cin>>a[i];sum[i]=sum[i-1]+a[i];}int ans=0;for (int i=1;i<=n;i++){if (a[i]>m){continue;}int l=i,r=n;while (l<=r){int mid=(l+r)>>1;if (sum[mid]-sum[i-1]>m){r=mid-1;}else{l=mid+1;}}ans=max(ans,l-i);}cout<<ans<<endl;
}
int main()
{BUFF;int _;//cin>>_;_=1; while (_--){solve();}return 0;
}

B. Pashmak and Flowers

time limit per test: 1 second

memory limit per test: 256 megabytes

input: standard input

output: standard output

Pashmak decided to give Parmida a pair of flowers from the garden. There are n flowers in the garden and the i-th of them has a beauty number . Parmida is a very strange girl so she doesn't want to have the two most beautiful flowers necessarily. She wants to have those pairs of flowers that their beauty difference is maximal possible!

Your task is to write a program which calculates two things:

  1. The maximum beauty difference of flowers that Pashmak can give to Parmida.
  2. The number of ways that Pashmak can pick the flowers. Two ways are considered different if and only if there is at least one flower that is chosen in the first way and not chosen in the second way.

Input

The first line of the input contains n (2 ≤ n ≤ 2·). In the next line there are n space-separated integers  (1 ≤ bi ≤ ).

Output

The only line of output should contain two integers. The maximum beauty difference and the number of ways this may happen, respectively.

Examples

input

2
1 2

output

1 1

input

3
1 4 5

output

4 1

input

5
3 1 2 3 1

output

2 4

Note

In the third sample the maximum beauty difference is 2 and there are 4 ways to do this:

  1. choosing the first and the second flowers;
  2. choosing the first and the fifth flowers;
  3. choosing the fourth and the second flowers;
  4. choosing the fourth and the fifth flowers.

题解:

开long long!开long long!开long long!重要的事情说三遍!

题目非常简单,注意分情况讨论就可以,如果排序过后首尾元素相同,那么结果就是n*(n-1)/2,否则就是首尾元素个数相乘,一定要开long long,int会爆!

AC代码:

#include <bits/stdc++.h>
#define BUFF ios::sync_with_stdio(false),cin.tie(0),cout.tie(0)
#define ll long long
using namespace std;const int N=2e5+5;
ll a[N];
map<ll,ll> mp;
void solve(){ll n;cin>>n;for (int i=0;i<n;i++){cin>>a[i];mp[a[i]]++;}sort(a,a+n);if (a[0]==a[n-1]){cout<<a[n-1]-a[0]<<" "<<n*(n-1)/2<<endl;return;}cout<<a[n-1]-a[0]<<" "<<mp[a[0]]*mp[a[n-1]]<<endl;
}
int main()
{BUFF;int _;//cin>>_;_=1; while (_--){solve();}return 0;
}

C. Alternating Subsequence

time limit per test: 1 second

memory limit per test: 256 megabytes

input: standard input

output: standard output

Recall that the sequence b is a a subsequence of the sequence a if b can be derived from a by removing zero or more elements without changing the order of the remaining elements. For example, if a=[1,2,1,3,1,2,1], then possible subsequences are: [1,1,1,1], [3] and [1,2,1,3,1,2,1], but not [3,2,3] and [1,1,1,1,2].

You are given a sequence a consisting of n positive and negative elements (there is no zeros in the sequence).

Your task is to choose maximum by size (length) alternating subsequence of the given sequence (i.e. the sign of each next element is the opposite from the sign of the current element, like positive-negative-positive and so on or negative-positive-negative and so on). Among all such subsequences, you have to choose one which has the maximum sum of elements.

In other words, if the maximum length of alternating subsequence is k then your task is to find the maximum sum of elements of some alternating subsequence of length k.

You have to answer t independent test cases.

Input

The first line of the input contains one integer t (1 ≤ t) — the number of test cases. Then t test cases follow.

The first line of the test case contains one integer n (1 ≤ ≤ 2⋅) — the number of elements in a. The second line of the test case contains n integers  (), where  is the i-th element of a.

It is guaranteed that the sum of nn over all test cases does not exceed 2⋅ (∑n≤2⋅).

Output

For each test case, print the answer — the maximum sum of the maximum by size (length) alternating subsequence of a.

Example

input

4
5
1 2 3 -1 -2
4
-1 -2 -1 -3
10
-2 8 3 8 -4 -15 5 -2 -3 1
6
1 -1000000000 1 -1000000000 1 -1000000000

output

2
-1
6
-2999999997

Note

In the first test case of the example, one of the possible answers is [1,2,3,−1,−2].

In the second test case of the example, one of the possible answers is [−1,−2,-1,−3].

In the third test case of the example, one of the possible answers is [−2,8,3,8,−4,−15,5,−2,−3,1].

In the fourth test case of the example, one of the possible answers is [1,−1000000000,1,−1000000000,1,−1000000000].

题解:

这道题解法有很多,在这里我采用了栈模拟的策略。因为题目要求找到一个最长的序列,所以要从第一个数开始,把第一个数压入栈,然后向后遍历,如果栈顶元素和a[i]符号不同,就把a[i]压入栈,否则取二者的最大值,保证了最后的sum最大的同时也可以保证这个序列是最长的。

AC代码:

#include <bits/stdc++.h>
#define BUFF ios::sync_with_stdio(false),cin.tie(0),cout.tie(0)
#define ll long long
using namespace std;const int N=2e5+5;
ll a[N];
void solve(){int n;cin>>n;for (int i=1;i<=n;i++){cin>>a[i];}stack<ll> st;st.push(a[1]);for (int i=2;i<=n;i++){if (st.top()*a[i]<0){st.push(a[i]);}else{st.top()=max(st.top(),a[i]);}}ll sum=0;while (!st.empty()){sum+=st.top();st.pop();}cout<<sum<<endl;
}
int main()
{BUFF;int _;cin>>_;//_=1; while (_--){solve();}return 0;
}

B. Random Teams

time limit per test: 1 second

memory limit per test: 256 megabytes

input: standard input

output: standard output

n participants of the competition were split into m teams in some manner so that each team has at least one participant. After the competition each pair of participants from the same team became friends.

Your task is to write a program that will find the minimum and the maximum number of pairs of friends that could have formed by the end of the competition.

Input

The only line of input contains two integers n and m, separated by a single space (1 ≤ m ≤ n ≤ ) — the number of participants and the number of teams respectively.

Output

The only line of the output should contain two integers  and  — the minimum possible number of pairs of friends and the maximum possible number of pairs of friends respectively.

Examples

input

5 1

output

10 10

input

3 2

output

1 1

input

6 3

output

3 6

Note

In the first sample all the participants get into one team, so there will be exactly ten pairs of friends.

In the second sample at any possible arrangement one team will always have two participants and the other team will always have one participant. Thus, the number of pairs of friends will always be equal to one.

In the third sample minimum number of newly formed friendships can be achieved if participants were split on teams consisting of 2 people, maximum number can be achieved if participants were split on teams of 1, 1 and 4 people.

题解:

这是一个很好的数学题,先来看几个极端的例子。当m=1时,最大值和最小值是一样的,根据公式可以求得答案为n*(n-1)/2,这道题的所有公式的基础就有了。

最大值的情况:m-1个组里只有一个人,剩下一组里有剩下的所有人,那么这个时候答案就是(n-m+1)*(n-m)/2,还是比较好想的。

最小值的情况:平均分配就是最小的,n个人,m个组,平均下来一个组有(n/m)个人,当然会出现一些漏网之鱼,有的组里可能会出现多一个人的情况(即无法整除),且只能出现多一个人的情况,这个时候要分别计算两个的值,并且相加之后就是最终的结果。正常的组数一共有(m-n%m)个,这些组里每个组的人数为(n/m)个,剩下的n%m组里,每个组的人数有(n/m+1)个,分别用通项公式计算即可。

AC代码:

#include <bits/stdc++.h>
#define BUFF ios::sync_with_stdio(false),cin.tie(0),cout.tie(0)
#define ll long long
using namespace std;void solve(){ll n,m;cin>>n>>m;cout<<(m-n%m)*((n/m)*(n/m-1)/2)+(n%m)*(n/m)*(n/m+1)/2<<" "<<(n-m+1)*(n-m)/2;
}
int main()
{BUFF;int _;//cin>>_;_=1; while (_--){solve();}return 0;
}

B. A and B and Compilation Errors

time limit per test: 2 seconds

memory limit per test: 256 megabytes

input: standard input

output: standard output

A and B are preparing themselves for programming contests.

B loves to debug his code. But before he runs the solution and starts debugging, he has to first compile the code.

Initially, the compiler displayed n compilation errors, each of them is represented as a positive integer. After some effort, B managed to fix some mistake and then another one mistake.

However, despite the fact that B is sure that he corrected the two errors, he can not understand exactly what compilation errors disappeared — the compiler of the language which B uses shows errors in the new order every time! B is sure that unlike many other programming languages, compilation errors for his programming language do not depend on each other, that is, if you correct one error, the set of other error does not change.

Can you help B find out exactly what two errors he corrected?

Input

The first line of the input contains integer n (3 ≤ n ≤ ) — the initial number of compilation errors.

The second line contains n space-separated integers  (1 ≤  ≤ ) — the errors the compiler displayed for the first time.

The third line contains n - 1 space-separated integers  — the errors displayed at the second compilation. It is guaranteed that the sequence in the third line contains all numbers of the second string except for exactly one.

The fourth line contains n - 2 space-separated integers  — the errors displayed at the third compilation. It is guaranteed that the sequence in the fourth line contains all numbers of the third line except for exactly one.

Output

Print two numbers on a single line: the numbers of the compilation errors that disappeared after B made the first and the second correction, respectively.

Examples

input

5
1 5 8 123 7
123 7 5 1
5 1 7

output

8
123

input

6
1 4 3 3 5 7
3 7 5 4 3
4 3 7 5

output

1
3

Note

In the first test sample B first corrects the error number 8, then the error number 123.

In the second test sample B first corrects the error number 1, then the error number 3. Note that if there are multiple errors with the same number, B can correct only one of them in one step.

题解:

题目看着挺唬人的,实际上就说了一件很简单的事,给了三个序列,问你相邻两个序列不同的元素是哪个,还保证这个元素唯一且存在,只需要记录下三个序列的和,再两两一相减就可以把不同的那个数求出来。

AC代码:

#include <bits/stdc++.h>
#define BUFF ios::sync_with_stdio(false),cin.tie(0),cout.tie(0)
#define ll long long
using namespace std;void solve(){int n;cin>>n;ll s1=0,s2=0,s3=0;ll x;for (int i=0;i<n;i++){cin>>x;s1+=x;}for (int i=0;i<n-1;i++){cin>>x;s2+=x;}for (int i=0;i<n-2;i++){cin>>x;s3+=x;}cout<<s1-s2<<endl<<s2-s3<<endl;
}
int main()
{BUFF;int _;//cin>>_;_=1; while (_--){solve();}return 0;
}

B. Ilya and Queries

time limit per test: 2 seconds

memory limit per test: 256 megabytes

input: standard input

output: standard output

Ilya the Lion wants to help all his friends with passing exams. They need to solve the following problem to pass the IT exam.

You've got string s =  (n is the length of the string), consisting only of characters "." and "#" and m queries. Each query is described by a pair of integers ,  (1 ≤  <  ≤ n). The answer to the query ,  is the number of such integers i (  ≤ i < ), that .

Ilya the Lion wants to help his friends but is there anyone to help him? Help Ilya, solve the problem.

Input

The first line contains string s of length n (2 ≤ n ≤ ). It is guaranteed that the given string only consists of characters "." and "#".

The next line contains integer m (1 ≤ m ≤ ) — the number of queries. Each of the next m lines contains the description of the corresponding query. The i-th line contains integers ,  (1 ≤  <  ≤ n).

Output

Print m integers — the answers to the queries in the order in which they are given in the input.

Examples

input

......
4
3 4
2 3
1 6
2 6

output

1
1
5
4

input

#..###
5
1 3
5 6
1 5
3 6
3 4

output

1
1
2
2
0

题解:

这个题一开始想复杂了,还以为一定要连续的才算,实际上就是区间内两个相邻的一样就算上,做法就是拿前缀和数组记录一下当前这个位置之前(含当前位置)的相同的个数,查询的时候就和前缀和一样了,注意这里的范围:l≤i<r,所以前缀和查询的时候答案为sum[r-1]-sum[l-1]。

AC代码:

#include <bits/stdc++.h>
#define BUFF ios::sync_with_stdio(false),cin.tie(0),cout.tie(0)
#define ll long long
using namespace std;const int N=1e5+5;
int sum[N];
void solve(){string s;cin>>s;for (int i=1;i<s.length();i++){sum[i]=sum[i-1]+(s[i]==s[i-1]);}int m;cin>>m;while (m--){int l,r;cin>>l>>r;cout<<sum[r-1]-sum[l-1]<<endl;}
}
int main()
{BUFF;int _;//cin>>_;_=1; while (_--){solve();}return 0;
}

B. Sereja and Suffixes

time limit per test: 1 second

memory limit per test: 256 megabytes

input: standard input

output: standard output

Sereja has an array a, consisting of n integers . The boy cannot sit and do nothing, he decided to study an array. Sereja took a piece of paper and wrote out m integers  (1 ≤  ≤ n). For each number  he wants to know how many distinct numbers are staying on the positions . Formally, he want to find the number of distinct numbers among .?

Sereja wrote out the necessary array elements but the array was so large and the boy was so pressed for time. Help him, find the answer for the described question for each .

Input

The first line contains two integers n and m (1 ≤ n, m ≤ ). The second line contains n integers  (1 ≤  ≤ ) — the array elements.

Next m lines contain integers . The i-th line contains integer  (1 ≤  ≤ n).

Output

Print m lines — on the i-th line print the answer to the number .

Examples

input

10 10
1 2 3 4 1 2 3 4 100000 99999
1
2
3
4
5
6
7
8
9
10

output

6
6
6
6
6
5
4
3
2
1

题解:

一道非常简单的递推问题,我们只需要从后往前遍历数组中的元素,如果这个数已经存在则dp值保持不变,否则标记为存在后对应的dp值加1,最后只需要直接输出答案即可。

AC代码:

#include <bits/stdc++.h>
#define BUFF ios::sync_with_stdio(false),cin.tie(0),cout.tie(0)
#define ll long long
using namespace std;const int N=1e5+5;
int a[N],dp[N];
bool vis[N];
void solve(){int n,m;cin>>n>>m;for (int i=1;i<=n;i++){cin>>a[i];}for (int i=n;i>=1;i--){if (!vis[a[i]]){vis[a[i]]=1;dp[i]=dp[i+1]+1;}else{dp[i]=dp[i+1];}}while (m--){int l;cin>>l;cout<<dp[l]<<endl;}
}
int main()
{BUFF;int _;//cin>>_;_=1; while (_--){solve();}return 0;
}

A. Sum of Odd Integers

time limit per test: 2 seconds

memory limit per test: 256 megabytes

input: standard input

output: standard output

You are given two integers n and k. Your task is to find if n can be represented as a sum of k distinct positive odd (not divisible by 2) integers or not.

You have to answer t independent test cases.

Input

The first line of the input contains one integer t (1≤t≤) — the number of test cases.

The next t lines describe test cases. The only line of the test case contains two integers n and k (1≤n,k≤).

Output

For each test case, print the answer — "YES" (without quotes) if n can be represented as a sum of k distinct positive odd (not divisible by 2) integers and "NO" otherwise.

Example

input

6
3 1
4 2
10 3
10 2
16 4
16 5

output

YES
YES
NO
YES
YES
NO

Note

In the first test case, you can represent 3 as 3.

In the second test case, the only way to represent 4 is 1+3.

In the third test case, you cannot represent 10 as the sum of three distinct positive odd integers.

In the fourth test case, you can represent 10 as 3+7, for example.

In the fifth test case, you can represent 16 as 1+3+5+7.

In the sixth test case, you cannot represent 16 as the sum of five distinct positive odd integers.

题解:

要看清题目要求再做题!题目要求的是不同的奇数和,也就是每个奇数只能出现1次,所以NO的条件要在n、k奇偶性相同的条件上加上一句:n>k*k(等差数列求和公式化简后的结果),注意开long long。

AC代码:

#include <bits/stdc++.h>
#define BUFF ios::sync_with_stdio(false),cin.tie(0),cout.tie(0)
#define ll long long
using namespace std;void solve(){ll n,k;cin>>n>>k;if (n<k*k){cout<<"NO"<<endl;return;}if (n&1){cout<<(k&1?"YES":"NO")<<endl;}else{cout<<(k&1?"NO":"YES")<<endl;}
}
int main()
{BUFF;int _;cin>>_;//_=1; while (_--){solve();}return 0;
}

Codeforces暑期训练周报(7.21~7.27)相关推荐

  1. 京东笔试Java暑期实习笔经21/3/27

    京东笔试21/3/27 题型和 滴滴一样 30选择 2编程 好多人AC 我枯了 选择题 30*2分 基本上全是 Linux操作相关的题 哭唧唧 后面是 jvm相关 java运行结果 多线程 印象深刻的 ...

  2. Potato的暑期训练day#1题解 ——毒瘤构造

    Potato的暑期训练day#1 --毒瘤构造 题目链接: A.https://vjudge.net/problem/HDU-1214 B.https://vjudge.net/problem/Cod ...

  3. ##(两个井号)和#(一个井号)都是什么意思C and C++ 2008-09-23 21:18:27 阅读1106 评论0 字号:大中小 订阅 .

    ##(两个井号)和#(一个井号)都是什么意思 C and C++ 2008-09-23 21:18:27 阅读1106 评论0   字号:大中小 订阅 连接符 ##(两个井号) 不知道什么符 #(一个 ...

  4. 暑期训练日志----2018.8.26

    训练第28天. 暑期训练最后一天,结束了... 看了看昨天下午网络赛的题,感觉自己也就能出一个...还是学的太少,新学期开始要加油,每天至少2个小时搞ACM 这个暑假收获很多,跟队友的配合比之前更有默 ...

  5. 暑期训练日志----2018.8.3

    训练第五天. 效率比昨天快了不少,但还是所有人中进度最慢的. 成功将排列与组合.以及延迟认可算法搞清楚了,而且之前欠的卡特兰数列和第一类.第二类斯特林数也补上了,组合数学的内容之差母函数.莫比乌斯反演 ...

  6. HRBU 2021年暑期训练阶段二Day3

    目录 A - Shuffle'm Up 题目链接: 题意: 做法: B - Prime Path 题目链接: 题意: 做法: C - Function Run Fun 题目链接: 题意: 做法: D ...

  7. codeforces日常训练 C. Cutting Out - 二分搜索答案

    codeforces日常训练 C. Cutting Out - 二分搜索答案 题干 You are given an array s consisting of n integers. You hav ...

  8. HRBU 2021年暑期训练阶段三Day1

    目录 A - Similar Strings 题目链接: 题意: 做法: B - card card card 题目链接: 题意: 做法: C - String 题目链接: 题意: 做法: D - C ...

  9. Noip2019暑期训练2 反思

    经过两次测试,通过深刻的反思,我主要发现了以下易犯错误: 1.做题目时过于追求速度,导致好几处代码都出现手误打错的现象!而且,千万不要图快.图方便就复制粘贴,非常容易出错!(例如T3-party中直接 ...

最新文章

  1. linux 信号软中断的方式
  2. 【商务智能】数据预处理
  3. Hbase 学习(三)Coprocessors
  4. 为什么要Zipkin
  5. CodeForces - 548D Mike and Feet(单调栈)
  6. 【codevs1230】元素查找
  7. tp中怎么执行mysql事务_tp中使用事务
  8. Java加密与解密的艺术~RSA模型分析
  9. linux交叉编译+驱动,请教驱动程序交叉编译问题(初学)
  10. JSP学习 三大指令、九个内置对象、JavaBean、EL表达式
  11. 一个php网站加入背景音乐,html页面中如何添加背景音乐
  12. 小学五年级计算机课评课,小学生信息技术课《复制与变换》评课稿
  13. python中match方法_Python3.9.1中如何使用match方法?
  14. 进程同步与互斥——吸烟者问题源码实现(cigarette smoker’s problem)
  15. 投诉百度快照对排名的影响
  16. ipad查看本地文件html文件在哪里,ipad文件夹在哪里?小编手把手教你找到ipad文件夹在哪里...
  17. OSPF虚链路配置及认证
  18. 浅谈 Lempel-Ziv压缩方法
  19. 制作Linux的优盘(usb)启动盘
  20. 什么是sku 什么是spu

热门文章

  1. Poi实现Excel导出
  2. ipfs星际文件系统初体验
  3. IPFS星际文件系统科普
  4. 上海腾享-演播室LED平板灯-演播室恒力铰链吊杆
  5. 《An Industrial-Strength Audio Search Algorithm》译文
  6. 明星2,3亿年收入,其实也合情合理
  7. 网络舆情信息传播动态监测查询方法
  8. JDK动态代理模式这篇就够了
  9. Ubuntu18.04下更改apt源为阿里云源
  10. 道金斯科普三部曲_道金斯在神的物体上